Debian Bug report logs - #719529
ITA: tuxonice-userui -- user-space interfaces for TuxOnIce

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrey Rahmatullin <wrar@wrar.name>

Date: Mon, 12 Aug 2013 20:18:02 UTC

Owned by: Julien Muchembled <jm@jmuchemb.eu>

Severity: normal

Fixed in version tuxonice-userui/1.1+dfsg1.gc3bdd83-1

Done: Julien Muchembled <jm@jmuchemb.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719529; Package wnpp. (Mon, 12 Aug 2013 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 12 Aug 2013 20:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tuxonice-userui -- user-space interfaces for TuxOnIce
Date: Tue, 13 Aug 2013 02:14:40 +0600
Package: wnpp
Severity: normal

I intend to orphan the tuxonice-userui package.

The package description is:
 TuxOnIce is an alternative implementation to suspend a Linux machine
 by writing its state to memory for later resuming. A kernel patch for
 TuxOnIce is available separately.
 .
 This package provides several user interfaces which improve the
 user's experience during the suspend and resume processes. It is not
 needed for TuxOnIce functionality.


For last year or two I was not able to use ToI (or often other hibernation
implementations) on my main machine for various reasons (aka "Linux hibernation
is still crap") so I am forced to orphan this package. There is one minor
commit in its collab-maint repo which was not a part of an upload. 1.1-2~exp1
should be reuploaded to unstable, as it was uploaded to experimental only
because of the wheezy freeze.



Changed Bug title to 'ITA: tuxonice-userui -- user-space interfaces for TuxOnIce' from 'O: tuxonice-userui -- user-space interfaces for TuxOnIce' Request was from Julien Muchembled <jm@jmuchemb.eu> to control@bugs.debian.org. (Sun, 22 Dec 2013 21:33:07 GMT) Full text and rfc822 format available.

Owner recorded as Julien Muchembled <jm@jmuchemb.eu>. Request was from Julien Muchembled <jm@jmuchemb.eu> to control@bugs.debian.org. (Sun, 22 Dec 2013 21:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719529; Package wnpp. (Sun, 22 Dec 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Muchembled <jm@jmuchemb.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 22 Dec 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #14 received at 719529@bugs.debian.org (full text, mbox):

From: Julien Muchembled <jm@jmuchemb.eu>
To: Andrey Rahmatullin <wrar@wrar.name>
Cc: 719529@bugs.debian.org
Subject: Re: O: tuxonice-userui -- user-space interfaces for TuxOnIce
Date: Sun, 22 Dec 2013 22:50:47 +0100
Hello,

Le 08/12/13 22:14, Andrey Rahmatullin a écrit :
> For last year or two I was not able to use ToI (or often other hibernation
> implementations) on my main machine for various reasons (aka "Linux hibernation
> is still crap") so I am forced to orphan this package.

It's true that tuxonice was in quite a bad state more than 1 year, especially with XFS, but it's been several months now that I haven't got any crash.
Did you retry recently ?

In any case, I'd be happy to maintain this package. For me, STD is a very important feature.
I would be sponsored by previous maintainer Arnaud Fontaine.

> There is one minor
> commit in its collab-maint repo which was not a part of an upload. 1.1-2~exp1
> should be reuploaded to unstable, as it was uploaded to experimental only
> because of the wheezy freeze.

Yes. Then, I would certainly work on systemd integration.

Regards,
Julien



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julien Muchembled <jm@jmuchemb.eu>:
Bug#719529; Package wnpp. (Sat, 28 Dec 2013 07:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julien Muchembled <jm@jmuchemb.eu>. (Sat, 28 Dec 2013 07:06:05 GMT) Full text and rfc822 format available.

Message #19 received at 719529@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Julien Muchembled <jm@jmuchemb.eu>
Cc: 719529@bugs.debian.org
Subject: Re: O: tuxonice-userui -- user-space interfaces for TuxOnIce
Date: Sat, 28 Dec 2013 13:03:25 +0600
[Message part 1 (text/plain, inline)]
On Sun, Dec 22, 2013 at 10:50:47PM +0100, Julien Muchembled wrote:
> > For last year or two I was not able to use ToI (or often other hibernation
> > implementations) on my main machine for various reasons (aka "Linux hibernation
> > is still crap") so I am forced to orphan this package.
> 
> It's true that tuxonice was in quite a bad state more than 1 year, especially with XFS, but it's been several months now that I haven't got any crash.
> Did you retry recently ?
3.12.4 still hangs on atomic restore at least with nvidia.ko loaded so no
change here.

> In any case, I'd be happy to maintain this package. For me, STD is a very important feature.
> I would be sponsored by previous maintainer Arnaud Fontaine.
Glad to hear this, please proceed.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719529; Package wnpp. (Thu, 13 Feb 2014 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Muchembled <jm@jmuchemb.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Feb 2014 01:45:04 GMT) Full text and rfc822 format available.

Message #24 received at 719529@bugs.debian.org (full text, mbox):

From: Julien Muchembled <jm@jmuchemb.eu>
To: 719529@bugs.debian.org, Arnaud Fontaine <arnau@milkypond.org>
Cc: Andrey Rahmatullin <wrar@wrar.name>
Subject: Re: O: tuxonice-userui -- user-space interfaces for TuxOnIce
Date: Thu, 13 Feb 2014 02:32:05 +0100
Le 12/22/13 22:50, Julien Muchembled a écrit :
> Le 08/12/13 22:14, Andrey Rahmatullin a écrit :
>> There is one minor
>> commit in its collab-maint repo which was not a part of an upload. 1.1-2~exp1
>> should be reuploaded to unstable, as it was uploaded to experimental only
>> because of the wheezy freeze.
> 
> Yes. Then, I would certainly work on systemd integration.

I have finished to code what I wanted, and published it there:
 http://jmuchemb.eu/tuxonice-userui.git

Last changes are in a single catch-all commit ("wip"). I still have to split it, update changelog and add an entry in NEWS.Debian

Julien



Reply sent to Julien Muchembled <jm@jmuchemb.eu>:
You have taken responsibility. (Wed, 12 Mar 2014 11:21:06 GMT) Full text and rfc822 format available.

Notification sent to Andrey Rahmatullin <wrar@wrar.name>:
Bug acknowledged by developer. (Wed, 12 Mar 2014 11:21:06 GMT) Full text and rfc822 format available.

Message #29 received at 719529-close@bugs.debian.org (full text, mbox):

From: Julien Muchembled <jm@jmuchemb.eu>
To: 719529-close@bugs.debian.org
Subject: Bug#719529: fixed in tuxonice-userui 1.1+dfsg1.gc3bdd83-1
Date: Wed, 12 Mar 2014 11:19:15 +0000
Source: tuxonice-userui
Source-Version: 1.1+dfsg1.gc3bdd83-1

We believe that the bug you reported is fixed in the latest version of
tuxonice-userui, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Muchembled <jm@jmuchemb.eu> (supplier of updated tuxonice-userui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Mar 2014 11:25:53 +0100
Source: tuxonice-userui
Binary: tuxonice-userui
Architecture: source amd64
Version: 1.1+dfsg1.gc3bdd83-1
Distribution: unstable
Urgency: medium
Maintainer: Julien Muchembled <jm@jmuchemb.eu>
Changed-By: Julien Muchembled <jm@jmuchemb.eu>
Description: 
 tuxonice-userui - user-space interfaces for TuxOnIce
Closes: 719529 733358
Changes: 
 tuxonice-userui (1.1+dfsg1.gc3bdd83-1) unstable; urgency=medium
 .
   [ Julien Muchembled ]
   * New upstream snapshot (2012-11-08).
     Drop patches merged upstream.
   * Adopt the package (Closes: #719529).
   * Update copyright years.
   * Update Standards-Version to 3.9.5 (no change needed).
   * Manage quilt patches with gbp-pq.
   * Fix build failure with freetype 2.5.1 (Closes: #733358).
   * Add patch to fix upstream regression: corrupted display of PNG.
   * Stop recommending abandonned 'hibernate'
   * Fix vcs-field-not-canonical reported by Lintian.
   * Let tuxonice-userui change VT rather than implementing it in every
     hibernation script.
   * Add systemd support and improve initramfs support.
     Add a debian/NEWS entry to explain how to reconfigure TuxOnIce.
   * initramfs: copy /etc/splash/tuxonice if it exists.
   * Add get-orig-source target for upstream Git snapshot.
   * Remove /themes directory from source.
   * Upload to unstable now that Wheezy is out and all RC bugs are fixed.
 .
   [ Arnaud Fontaine ]
   * Update debian/watch as upstream releases are now done on GitHub.
Checksums-Sha1: 
 07ec8a12bfd60ee88f8ec03fb74cad8a70068dbd 1457 tuxonice-userui_1.1+dfsg1.gc3bdd83-1.dsc
 5aacb143ee7bf8375447aacfe1e5f3b0ee21e1b3 58368 tuxonice-userui_1.1+dfsg1.gc3bdd83.orig.tar.xz
 0118a56514ee5d82265763cfe6570be1560d8ff8 11752 tuxonice-userui_1.1+dfsg1.gc3bdd83-1.debian.tar.xz
 f195628da64cf1ddc3f9d50548375917e38954ab 53512 tuxonice-userui_1.1+dfsg1.gc3bdd83-1_amd64.deb
Checksums-Sha256: 
 5c4149c2160010d9bc343b43c7a7a0fba638b48dcb2ca6d00ce9092a7e98ed1b 1457 tuxonice-userui_1.1+dfsg1.gc3bdd83-1.dsc
 62346f9c92371901819af73e2763a223f96916649c2eb972a9a91a7d1c7d4d2f 58368 tuxonice-userui_1.1+dfsg1.gc3bdd83.orig.tar.xz
 a4fa32422308ec9e0f58441ad87f77145a39743893afd32f7e9b1bb4444d313a 11752 tuxonice-userui_1.1+dfsg1.gc3bdd83-1.debian.tar.xz
 c425c4d09873945461e25efdfd7ede44eac957049f26bb1b817a7d274428f8c2 53512 tuxonice-userui_1.1+dfsg1.gc3bdd83-1_amd64.deb
Files: 
 f1189fd93c83b9883faa2ae9f4a4aa18 1457 misc optional tuxonice-userui_1.1+dfsg1.gc3bdd83-1.dsc
 c0a1f9c7fe0baf47ca043bc686b0b6d9 58368 misc optional tuxonice-userui_1.1+dfsg1.gc3bdd83.orig.tar.xz
 da2a8c105b8aabdfd97de28c5843b7f0 11752 misc optional tuxonice-userui_1.1+dfsg1.gc3bdd83-1.debian.tar.xz
 96b4b31b0071a4fd980d83666ddb73de 53512 misc optional tuxonice-userui_1.1+dfsg1.gc3bdd83-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlMgQEgACgkQvfKiIF42GdO8WACfcwpr4v8kAIwCJOH1J4zZfRSY
DEsAn0tFfR/2RftDjoKjkT7R3YsN7bkO
=SAoZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Apr 2014 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:53:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.